### Method

# Gck Session create_object_async

#### Declaration [src]

    void
    gck_session_create_object_async (
      GckSession* self,
      GckAttributes* attrs,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Create a new PKCS#11 object. This call will return immediately and complete asynchronously.

If `attrs` is a floating reference, it is consumed.

This method completes asynchronously. Use `gck_session_create_object_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`attrs`

  Type: `GckAttributes`

  The attributes to create the object with.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.